CVC4::EmptySet Class Reference

`#include <emptyset.h>`

## Public Member Functions

| EmptySet (SetType setType)
| Constructs an emptyset of the specified type.
| ~EmptySet () throw ()
SetType | getType () const
bool | operator== (const EmptySet &es) const throw ()
bool | operator!= (const EmptySet &es) const throw ()
bool | operator< (const EmptySet &es) const throw ()
bool | operator<= (const EmptySet &es) const throw ()
bool | operator> (const EmptySet &es) const throw ()
bool | operator>= (const EmptySet &es) const throw ()

## Detailed Description

Definition at line 34 of file emptyset.h.

## Constructor & Destructor Documentation

## EmptySet()

CVC4::EmptySet::EmptySet | ( | SetType | setType | ) |

inline

Constructs an emptyset of the specified type.

Note that the argument is the type of the set itself, NOT the type of the elements.

Definition at line 45 of file emptyset.h.

## ~EmptySet()

CVC4::EmptySet::~EmptySet | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 48 of file emptyset.h.

## Member Function Documentation

## getType()

SetType CVC4::EmptySet::getType | ( |  | ) | const

inline

Definition at line 51 of file emptyset.h.

Referenced by CVC4::EmptySetHashFunction::operator()().

## operator!=()

bool CVC4::EmptySet::operator!= | ( | const EmptySet & | es | ) | const
throw | ( | ) |  |  |

inline

Definition at line 56 of file emptyset.h.

## operator<()

bool CVC4::EmptySet::operator< | ( | const EmptySet & | es | ) | const
throw | ( | ) |  |  |

inline

Definition at line 60 of file emptyset.h.

## operator<=()

bool CVC4::EmptySet::operator<= | ( | const EmptySet & | es | ) | const
throw | ( | ) |  |  |

inline

Definition at line 63 of file emptyset.h.

## operator==()

bool CVC4::EmptySet::operator== | ( | const EmptySet & | es | ) | const
throw | ( | ) |  |  |

inline

Definition at line 53 of file emptyset.h.

## operator>()

bool CVC4::EmptySet::operator> | ( | const EmptySet & | es | ) | const
throw | ( | ) |  |  |

inline

Definition at line 66 of file emptyset.h.

## operator>=()

bool CVC4::EmptySet::operator>= | ( | const EmptySet & | es | ) | const
throw | ( | ) |  |  |

inline

Definition at line 69 of file emptyset.h.

The documentation for this class was generated from the following file:

- src/util/emptyset.h